compact2, compact3
java.rmi

## Class RMISecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException
        - - java.rmi.RMISecurityException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  Use `SecurityException` instead. Application code should never directly reference this class, and `RMISecurityManager` no longer throws this subclass of `java.lang.SecurityException`.

      @Deprecated
      public class RMISecurityException
      extends SecurityException

  An `RMISecurityException` signals that a security exception has occurred during the execution of one of `java.rmi.RMISecurityManager`'s methods.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RMISecurityException(String name)` | Deprecated. no replacement
    `RMISecurityException(String name, String arg)` | Deprecated. no replacement

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RMISecurityException

          @Deprecated
          public RMISecurityException(String name)

      Deprecated. no replacement
      Construct an `RMISecurityException` with a detail message.
      Parameters:
        `name` - the detail message
      Since:
        JDK1.1

    - #### RMISecurityException

          @Deprecated
          public RMISecurityException(String name,
                                                  String arg)

      Deprecated. no replacement
      Construct an `RMISecurityException` with a detail message.
      Parameters:
        `name` - the detail message
        `arg` - ignored
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.